OptionConfiguration (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.ant.OptionConfiguration class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap.ant
Class OptionConfiguration

    java.lang.Object
      com.martiansoftware.jsap.ant.ParameterConfiguration
          com.martiansoftware.jsap.ant.OptionConfiguration

Direct Known Subclasses:
  FlaggedOptionConfiguration, UnflaggedOptionConfiguration

    public abstract class OptionConfiguration

extends ParameterConfiguration

Stores/provides configuration data common to both flaggedoptions and unflaggedoptions nested inside a jsap ant task. For detailed information on using the jsap task, see the documentation for JSAPAntTask.

Author:
  Marty Lamb
See Also:
  `JSAPAntTask`

Constructor Summary
`OptionConfiguration()` Creates a new OptionConfiguration.

Method Summary
`void` | `addConfiguredProperty(ParserProperty p)` Adds a property to the current list of properties for this option's PropertyStringParser.
`boolean` | `declaredListSeparator()` Returns a boolean indicating whether the list separator character has been specified by the user.
`boolean` | `getIslist()` Returns a boolean indicating whether this option is a list.
`char` | `getListseparator()` Returns the list separator character for this option.
`ParserProperty[]` | `getParserProperties()` Returns an array of ParserProperties for this option's PropertyStringParser, or null if no ParserProperties are defined.
`boolean` | `getRequired()` Returns a boolean indicating whether this option is required.
`String` | `getStringparser()` Returns the classname of the StringParser for this option.
`boolean` | `hasProperties()` Returns a boolean indicating whether any ParserProperties are defined.
`void` | `setIslist(boolean isList)` Sets whether this option is a list.
`void` | `setListseparator(char listSeparator)` Sets the list separator for this option, if it is a list.
`void` | `setRequired(boolean required)` Sets whether this option is required.
`void` | `setStringparser(String stringParser)` Sets the StringParser for this option.

Methods inherited from class com.martiansoftware.jsap.ant.ParameterConfiguration
`addConfiguredDefault, createMethod, getDefaults, getId, getParameter, setDefault, setId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionConfiguration

    public OptionConfiguration()

  Creates a new OptionConfiguration.

Method Detail

### setStringparser

    public void setStringparser(String stringParser)

  Sets the StringParser for this option.

  Parameters:
    `stringParser` - the StringParser for this option.

### getStringparser

    public String getStringparser()

  Returns the classname of the StringParser for this option. If the current StringParser name does not contains any "dot" characters, it is prefixed with "com.martiansoftware.jsap.stringparsers." prior to returning.

  Returns:
    the classname of the StringParser for this option.

### setRequired

    public void setRequired(boolean required)

  Sets whether this option is required.

  Parameters:
    `required` - if true, this option is required.

### getRequired

    public boolean getRequired()

  Returns a boolean indicating whether this option is required.

  Returns:
    a boolean indicating whether this option is required.

### setIslist

    public void setIslist(boolean isList)

  Sets whether this option is a list.

  Parameters:
    `isList` - if true, this option is a list.

### getIslist

    public boolean getIslist()

  Returns a boolean indicating whether this option is a list.

  Returns:
    a boolean indicating whether this option is a list.

### setListseparator

    public void setListseparator(char listSeparator)

  Sets the list separator for this option, if it is a list.

  Parameters:
    `listSeparator` - the list separator character for this option, if it is a list.

### getListseparator

    public char getListseparator()

  Returns the list separator character for this option.

  Returns:
    the list separator character for this option.

### declaredListSeparator

    public boolean declaredListSeparator()

  Returns a boolean indicating whether the list separator character has been specified by the user.

  Returns:
    a boolean indicating whether the list separator character has been specified by the user.

### addConfiguredProperty

    public void addConfiguredProperty(ParserProperty p)

  Adds a property to the current list of properties for this option's PropertyStringParser.

  Parameters:
    `p` - the property to add.

### getParserProperties

    public ParserProperty[] getParserProperties()

  Returns an array of ParserProperties for this option's PropertyStringParser, or null if no ParserProperties are defined.

  Returns:
    an array of ParserProperties for this option's PropertyStringParser, or null if no ParserProperties are defined.

### hasProperties

    public boolean hasProperties()

  Returns a boolean indicating whether any ParserProperties are defined.

  Overrides:
    `hasProperties` in class `ParameterConfiguration`
  Returns:
    a boolean indicating whether any ParserProperties are defined.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap